"""Reskreen URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/4.0/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  path('', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  path('', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.urls import include, path
    2. Add a URL to urlpatterns:  path('blog/', include('blog.urls'))
"""
from django.contrib import admin
from django.urls import path, include

from django.conf import settings
from django.conf.urls.static import static
from django.views.generic import RedirectView
from django.http import JsonResponse
from . import views
def healthcheck(request):
    return JsonResponse({'status': True})

urlpatterns = [
    path('', RedirectView.as_view(url='admin/login/', permanent=False), name='/'),
    path('admin/', admin.site.urls),
    path('robots.txt', views.robots_txt),
    path('accounts/', admin.site.urls),
    path('collabs/', include('collabs.urls')),
    path('vehicules/', include('vehicles.urls')),
    path('comm-opmessage/', include('comm_op.urls')),
    path('caldav/', include('mycaldav.urls')),
    #path('collabs_hour/', include('collabs.urls')),
    path('carnet_rouge/', include('carnet_rouge.urls')),
    path('student_eval/', include('studenteval.urls')),
    path('summernote/', include('django_summernote.urls')),
    path('editor/', include('django_summernote.urls')),
    path('api-auth/', include('rest_framework.urls', namespace='rest_framework')),
    path('api/auth/', include('authapp.urls')),
    path('healthcheck/', healthcheck),

]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)